<?php
require("../class/connect.php");
include("../class/db_sql.php");
include("../class/config.php");
include("../class/functions.php");
$link=db_connect();
$empire=new mysqlquery();
$logininid=getcvar('loginuserid');
$loginin=getcvar('loginusername');
$loginrnd=getcvar('loginrnd');
$loginlevel=getcvar('loginlevel');
is_login($logininid,$loginin,$loginrnd);
//验证权限
CheckLevel($logininid,$loginin,$classid,"zt");
$url="<a href=ListZt.php>管理专题</a>&nbsp;&nbsp;(<a href=AddZt.php?enews=AddZt>增加专题</a>)";
//类别
$add="";
$zcid=(int)$_GET['zcid'];
if($zcid)
{
	$add=" where zcid=$zcid";
	$search="&zcid=$zcid";
}
$sql=$empire->query("select * from {$dbtbpre}enewszt".$add." order by ztid desc");
//分类
$zcstr="";
$csql=$empire->query("select classid,classname from {$dbtbpre}enewsztclass order by classid");
while($cr=$empire->fetch($csql))
{
	$select="";
	if($cr[classid]==$zcid)
	{
		$select=" selected";
	}
	$zcstr.="<option value='".$cr[classid]."'".$select.">".$cr[classname]."</option>";
}
//风格
$loginadminstyleid=(int)getcvar('loginadminstyleid');
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=gb2312">
<title>专题</title>
<link href="adminstyle/<?=$loginadminstyleid?>/adminstyle.css" rel="stylesheet" type="text/css">
</head>

<body>
<table width="98%" border="0" align="center" cellpadding="3" cellspacing="1">
  <tr>
    <td>位置：<?=$url?></td>
  </tr>
</table>
<table width="98%%" border="0" align="center" cellpadding="3" cellspacing="1" class=tableborder>
  <tr> 
    <td height="25" class="header">
<div align="center"> 
        <input type="button" name="Submit" value="刷新首页" onclick="self.location.href='enews.php?enews=ReIndex'">
        　 
        <input type="button" name="Submit2" value="刷新所有信息栏目" onclick="window.open('enews.php?enews=ReListHtml_all&from=ListZt.php','','');">
        　 
        <input type="button" name="Submit3" value="刷新所有信息页面" onclick="window.open('ReHtml/DoRehtml.php?enews=ReNewsHtml&start=0&from=../ListZt.php','','');">
        　 
        <input type="button" name="Submit4" value="刷新所有JS" onclick="window.open('enews.php?enews=ReAllNewsJs&from=ListZt.php','','');">
        　 
        <input type="button" name="Submit6" value="进入数据更新" onclick="window.open('ReHtml/ChangeData.php');">
      </div></td>
  </tr>
</table>
<table width="98%" border="0" align="center" cellpadding="3" cellspacing="1">
  <form name="form1" method="get" action="ListZt.php">
    <tr> 
      <td height="30">限制显示： 
        <select name="zcid" id="zcid" onchange="document.form1.submit()">
          <option value="0">显示所有分类</option>
          <?=$zcstr?>
        </select>
      </td>
    </tr>
  </form>
</table>
<br>
<table width="98%" border="0" align="center" cellpadding="3" cellspacing="1" class="tableborder">
  <tr class="header"> 
    <td width="7%" height="25"><div align="center">ID</div></td>
    <td width="30%" height="25"><div align="center">专题名</div></td>
    <td width="14%"><div align="center">访问量</div></td>
    <td width="11%"><div align="center">调用地址</div></td>
    <td width="38%" height="25"><div align="center">操作</div></td>
  </tr>
  <?
  while($r=$empire->fetch($sql))
  {
  if($r[zturl])
  {
  $ztlink=$r[zturl];
  }
  else
  {
  $ztlink="../../s/".$r[ztpath];
  }
  ?>
  <tr bgcolor="ffffff"> 
    <td height="25"><div align="center">
        <?=$r[ztid]?>
      </div></td>
    <td height="25"><div align="center">
        <?=$r[ztname]?>
      </div></td>
    <td><div align="center"><?=$r[onclick]?></div></td>
    <td><div align="center"><a href="#enews" onclick="javascript:window.open('view/ZtUrl.php?ztid=<?=$r[ztid]?>','','width=500,height=200');">查看地址</a></div></td>
    <td height="25"><div align="center"> [<a href="<?=$ztlink?>" target="_blank">预览</a>] 
        [<a href="#ecms" onclick="window.open('TogZt.php?ztid=<?=$r[ztid]?>','','width=660,height=550,scrollbars=yes,top=70,left=100');">组合专题</a>] [<a href="enews.php?enews=ReZtHtml&ztid=<?=$r[ztid]?>">刷新</a>] 
        [<a href='enews.php?enews=ReSingleJs&doing=1&classid=<?=$r[ztid]?>'>JS</a>] 
        [<a href="AddZt.php?enews=EditZt&ztid=<?=$r[ztid]?>">修改</a>] [<a href="enews.php?enews=DelZt&ztid=<?=$r[ztid]?>" onclick="return confirm('确认要删除此专题？');">删除</a>]</div></td>
  </tr>
  <?
  }

  ?>
</table>
</body>
</html>
<?
db_close();
$empire=null;
?>
